%define sha dcd490f10be00d3e459dcce4c11d0614ea2ceccd

Summary: Xorg X11 Qualcomm Adreno video driver
Name: xorg-x11-drv-freedreno
Version: 0.0
Release: 1.%{sha}%{?dist}
License: MIT
Group: User Interface/X Hardware Support
URL: https://github.com/freedreno/xf86-video-freedreno/

Source: https://github.com/freedreno/xf86-video-freedreno/archive/%{sha}.zip

BuildRequires: xorg-x11-server-devel
BuildRequires: libdrm-devel
BuildRequires: autoconf automake libtool
BuildRequires: git

%description
X.org X11 Qualcomm Adreno video driver

%prep

%setup -q -n xf86-video-freedreno-%{sha}
git init
if [ -z "$GIT_COMMITTER_NAME" ]; then
    git config user.email "xorg-x11-drv-freedreno-owner@fedoraproject.org"
    git config user.name "Fedora xorg-x11-drv-freedreno maintainers"
fi
git add .
git commit -a -q -m "%{sha} baseline."

git am -p1 %{patches} < /dev/null

autoreconf -f -i

%build
%configure
make V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=''

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%defattr(-,root,root,-)
%{_libdir}/xorg/modules/drivers/freedreno_drv.so

%changelog
* Fri Jun 28 2013 Bastien Nocera <bnocera@redhat.com> 0.0-1.dcd490f10be00d3e459dcce4c11d0614ea2ceccd
- First version
